Unable to upload new project version to app store

Discussion in 'App Store Business, Legal and Marketing' started by chopper26, Jul 17, 2013.

  1. macrumors newbie

    Joined:
    Jul 17, 2013
    #1
    I'm having an issue uploading my new app version to the app store via xcode.

    The error I'm getting is "the bundle is invalid. The value for key CFBundleVersion / CFBundleShortVersionString in the info.plist file must contain a higher version than that of the previously uploaded version [1.0.2]"

    I cant find the info.plist file, but I did find a file that was [projectname]-info.plist which I assume is what they're referring to.

    In this file I changed the values of bundle versions string, short to 2.0 as well as bundle version to 2.0

    I checked the summary of my project target and saw the version was 2.0 as well as the build..

    Even after this it still tells me the version of my project is 1.0 in the organizer - archives tab.

    I had issues with provisioning profiles and certificates earlier, possibly this is the problem?

    Thanks for reading.
     
  2. macrumors 6502a

    Joined:
    Mar 30, 2012
    #2
    You can change the version straight in Xcode.
    Click the project on the left side drop down list,

    Click the Summary tab for the target app,
    and you can see the version number there where it can be changed.

     
  3. thread starter macrumors newbie

    Joined:
    Jul 17, 2013
    #3
    Yup, I canged the build and version to 2.0 in the summary tab, but when I go to upload the app thru xcode it says its still version 1.0
     

Share This Page